/**
* @author Dirk Nordmann
* @date   14.01.2002
*/
package util;

import java.io.*;

public class HexValuesOutputStream extends FilterOutputStream
{

    public HexValuesOutputStream(OutputStream outputstream)
    {
        super(outputstream);
    }

    public void write(byte abyte0[])
        throws IOException
    {
        write(abyte0, 0, abyte0.length);
    }

    public void write(byte abyte0[], int i, int j)
        throws IOException
    {
        StringBuffer stringbuffer = new StringBuffer(abyte0.length * 2);
        for(int k = i; k < j; k++)
            stringbuffer.append(toHexString(abyte0[k]));
        out.write(stringbuffer.toString().getBytes());
    }

    public void write(int i)
        throws IOException
    {
        out.write(toHexString(i).getBytes());
    }

  public static String toHexString(int i)
  {
    i &= 0xff;
    String s = Integer.toHexString(i);
    if(i < 16)
      s = "0" + s;
    return s;
  }
}
